<table *ngIf="displayedColumns" mat-table [dataSource]="mappedData" class="mat-elevation-z8">
  <ng-container *ngFor="let columnName of displayedColumns" [matColumnDef]="columnName">
    <th mat-header-cell *matHeaderCellDef>{{ columnName }}</th>
    <td mat-cell *matCellDef="let element">{{ formatCell(element[columnName]) }}</td>
  </ng-container>

  <tr mat-header-row *matHeaderRowDef="displayedColumns; sticky: true"></tr>
  <tr (click)="onRowClick(i)" mat-row *matRowDef="let row; columns: displayedColumns; let i = index"></tr>
</table>
